Subject: RE: Basic types of location data types

From: Cuellar Jorge <[email-masked]>
Date: Mon, 26 Nov 2001 13:30:25 +0100

Dear Dante,

> I have been reading
> draft-cuellar-geopriv-reqs-00.txt and, first of
> all, congratulations to the authors. I guess that
> it is clear and that it represents the discussions
> that have taken place in the list.

Thank you. That was exactly our intention.

> Also I would like to comment on an specific item,
> that is, the basic location data types. What
> worries me is this specific location data type,
> one that is not yet formally specified, but each
> time that it appears it does so in the following
> format:
>
> "country, state, province, city, street, street
> number, building, floor, room"
>
> In our work building a GIS tool, we have found out
> this to be incomplete.  The group:
>
> "country, state, province, city"
>
> does not make it certain that the next item,
> "street", will be unique. And if "street" is not
> unique inside of "city" then there is a problem (a
> big one).
>
> We found out that one better way to do this is
> using this format:
>
> "country, state, province, city, area"
>
> and "area" must be given any other name, but it
> should exist, because inside 'official' cities,
> you can find two streets with the same name, at
> least in many countrys.
>
> So a good format for a location may be:
>
> "country, state, province, city, area, street,
> street number, building, floor, room"
>
> remembering that "area" can have other name.

We agree completely. The exact format of the data type is
an issue and I find your solution very appealing. 

I have seen solutions used for airports, for instance,
which are still quite complicated.

Perhaps we will need several different
formats to be standarized or a larger format with 
different fields that may be optional. This issue,
I guess, is an issue for the "protocol" draft and not
for the "requirements" draft, but I think that we must
be more precise on the requirements draft is at this 
point: we are just trying to present some examples of what kind
of location data types will be necessary to specify later.

Best regards, 

Jorge